from django.conf.urls.defaults import *
from django.conf import settings
from django.contrib import admin
admin.autodiscover()
from django.contrib.auth.decorators import login_required

from django.contrib import databrowse
from upload.models import Participant

databrowse.site.register(Participant)

urlpatterns = patterns('',
    # Example:
    # (r'^ocr/', include('ocr.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
        (r'^admin/(.*)', admin.site.root),
	(r'^$','ws_reg.upload.views.upload_file'),
        (r'^captcha/', include('captcha.urls')), 	
        (r'^databrowse/(.*)',databrowse.site.root),        
	(r'^(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT }),
)
